blob: 78974a5f6bc9b3f66c4f927446bbee1243851b0d [file] [log] [blame]
DEFINED_PHASES=compile configure install postinst postrm preinst prepare unpack
DEPEND=>=dev-libs/libgit2-0.24.0:0/24[ssh?] >=dev-libs/glib-2.44.0:2 >=dev-libs/gobject-introspection-0.10.1:= python? ( python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_python3_4? ( dev-lang/python:3.4 ) python_targets_python3_5? ( dev-lang/python:3.5 ) >=dev-lang/python-exec-2:=[python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] dev-python/pygobject:3[python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] ) >=dev-util/gtk-doc-am-1.11 virtual/pkgconfig vala? ( || ( dev-lang/vala:0.32[vapigen(+)] dev-lang/vala:0.30[vapigen(+)] dev-lang/vala:0.28[vapigen(+)] dev-lang/vala:0.26[vapigen(+)] ) ) app-arch/xz-utils >=sys-apps/sed-4 dev-util/desktop-file-utils x11-misc/shared-mime-info
DESCRIPTION=Git library for GLib
EAPI=5
HOMEPAGE=https://wiki.gnome.org/Projects/Libgit2-glib
IUSE=python ssh +vala python_targets_python3_3 python_targets_python3_4 python_targets_python3_5
KEYWORDS=~amd64 ~x86
LICENSE=LGPL-2+
RDEPEND=>=dev-libs/libgit2-0.24.0:0/24[ssh?] >=dev-libs/glib-2.44.0:2 >=dev-libs/gobject-introspection-0.10.1:= python? ( python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3 ) python_targets_python3_4? ( dev-lang/python:3.4 ) python_targets_python3_5? ( dev-lang/python:3.5 ) >=dev-lang/python-exec-2:=[python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] dev-python/pygobject:3[python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] )
REQUIRED_USE=python? ( || ( python_targets_python3_3 python_targets_python3_4 python_targets_python3_5 ) )
SLOT=0
SRC_URI=mirror://gnome/sources/libgit2-glib/0.24/libgit2-glib-0.24.3.tar.xz
_eclasses_=eutils b83a2420b796f7c6eff682679d08fe25 gnome.org ad34f378a3d57a6f2f2b8b4aaca4543e gnome2 21c81ea94c12e45a63f7f14fba666e3d gnome2-utils c6dcdf3a2c22b578b16adb945dc85c35 libtool 4890219c51da247200223277f993e054 multibuild 742139c87a9fa3766f0c2b155e5522bf multilib 165fc17c38d1b11dac2008280dab6e80 python-r1 0f6937650a475d673baa5d0c8c0b37b3 python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 vala 764817a25b405b65269d8619e203a52f versionator 99ae9d758cbe7cfed19170e7d48f5a9c xdg a5c4c5ce4f5ce9a2e777f5d9a40a8723 xdg-utils e2b2bd56125ce8cf59ce30c642b59d48
_md5_=f7141e59e973409c8f2d726f9ff39b2b